;InnoSetupVersion=2.0.17

[Setup]
AppName=DeepAnalysis
AppVerName=DeepAnalysis
AppId=DeepAnalysis
AppPublisher=HammerTap
AppPublisherURL=http://www.hammertap.com
AppSupportURL=http://www.hammertap.com
AppUpdatesURL=http://www.hammertap.com
DefaultDirName={pf}\DeepAnalysis
DefaultGroupName=DeepAnalysis
OutputBaseFilename=DeepAnalysisSetup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\DeepAnalysis.exe"; DestDir: "{app}"; 
Source: "{app}\help.html"; DestDir: "{app}"; 
Source: "{sys}\TABCTL32.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\STDOLE2.TLB"; DestDir: "{sys}"; Flags: uninsneveruninstall regtypelib sharedfile 
Source: "{sys}\RICHED32.DLL"; DestDir: "{sys}"; 
Source: "{sys}\MSINET.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\RICHTX32.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\MSVBVM60.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{app}\AutoUpdate.exe"; DestDir: "{app}"; 
Source: "{app}\DOWNLD2.AVI"; DestDir: "{app}"; 
Source: "{sys}\ASYCFILT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall sharedfile 
Source: "{sys}\OLEAUT32.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\MSCOMCTL.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\COMCAT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\OLEPRO32.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\Vsflex7L.ocx"; DestDir: "{sys}"; Flags: regserver sharedfile 
Source: "{sys}\COMDLG32.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\MSCOMCT2.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{app}\HTWebCon.dll"; DestDir: "{app}"; Flags: regserver 

[Run]
Filename: "{app}\DeepAnalysis.exe"; Description: "Launch DeepAnalysis"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\DeepAnalysis"; Filename: "{app}\DeepAnalysis.exe"; 
Name: "{userdesktop}\DeepAnalysis"; Filename: "{app}\DeepAnalysis.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\DeepAnalysis"; Filename: "{app}\DeepAnalysis.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
